Jump to content

[RELz/WIPz] Unofficial Fallout 4 Patch [UFO4P]


Recommended Posts

[snip] And a couple of the strings files updated [snip]

WHAT THE F--- !!! I started to fix several french typo directly in the strings files to avoid eventual conflicts with other mods !  :wallbash: I guess I have to reprocess them all ?  :bat:

Link to comment
Share on other sites

I don't know if people are still bound to any NDAs at this point but I would be interested to know if the release version of the mod integration via bethesda.net will take care of the load order automatically or at least include an option to access the load order directly from within the game?

 

I understand that editing the plugins.txt file and using LOOT is recommended/required during the beta phase but will this still be the case once the bethesda.net integration is ready for primetime?

 

Any comments you can (are allowed to) make at this point? Thanks a bunch...

Link to comment
Share on other sites

As currently implemented, no. It isn't reliable. Activating or deactivating a mod using the in-game menu causes the DLCs to get dropped from the plugins.txt file. This in turn causes the to load AFTER any other ESM files the user may have. Which I'm sure you can see would be hugely problematic.

 

Unless they change this during beta, PC players will probably want to avoid ever using the in-game menu and manage load order like we always have once all the mod managers can handle it.

 

It's an open beta now btw, NDA no longer applies since anyone can opt-in.

Link to comment
Share on other sites

Keep in mind that afkmods mobile site is a light theme, black on white :P

I changed my mind about subtitles, in part because I had a massive list going and it was getting ridiculous - way too much work - so I won't submit any more conform changes. My new opinion: subtitle is Bethesda script and is canon. Dialogue is actor's take on the line. Subtitle should not be conformed to script. Only change for any text would be an actual typo, wrong fact or wrong word such as the terminal mistake I had, "past" vs "passed"

Link to comment
Share on other sites

 

As currently implemented, no. It isn't reliable. Activating or deactivating a mod using the in-game menu causes the DLCs to get dropped from the plugins.txt file. This in turn causes the to load AFTER any other ESM files the user may have. Which I'm sure you can see would be hugely problematic.

 

Unless they change this during beta, PC players will probably want to avoid ever using the in-game menu and manage load order like we always have once all the mod managers can handle it.

 

It's an open beta now btw, NDA no longer applies since anyone can opt-in.

 

There is a post at the creation kit forum at bethesda that mentions that using other mod managers may set the plugins.txt file to read-only. Could this be the cause for the error?
 
 
I have the season pass and currently no mods installed (never had for FO4 so far) but the DLCs are not listed in my plugins.txt. Instead, they are listed in a seperate file called DLClist.txt. Not sure if DLClist.txt is in any way considered for the load order? 
Link to comment
Share on other sites

The game will not list the DLC in your plugins.txt, which is cause for some stupid problems if your load order contains user generated esm files. With the way the game currently works, all user generated esm files would load before the official DLCs. So the DLCs could easily cancel out intentional changes, even with stuff using the DLCs as masters. If they're going to force-load the DLCs, they need to do it right and load them in slots 01 and 02 instead of the floating logic they have now.

Link to comment
Share on other sites

Now that Patch 1.5 has gone live, we're marking UFO4P 1.0.0 as a live release.

 

The last update to this included temporary workaround fixes for edits to Preston Garvey, Cait, and MacCreedy to stop them from losing facial features due to an old FO3/NV bug that's come back from the grave.

Link to comment
Share on other sites

The game will not list the DLC in your plugins.txt, which is cause for some stupid problems if your load order contains user generated esm files. With the way the game currently works, all user generated esm files would load before the official DLCs. So the DLCs could easily cancel out intentional changes, even with stuff using the DLCs as masters. If they're going to force-load the DLCs, they need to do it right and load them in slots 01 and 02 instead of the floating logic they have now.

I see. The unofficial patch is a .esp file, though. Does this mean that I am fine with the bethesda.net solution as long as I am only using the unoffical patch and no other mod (or rather no other mods that have .esm files)?

Link to comment
Share on other sites

From the patch readme file:

 

1.) Extract the contents of Unofficial Fallout 4 Patch.7z, into your Fallout 4\Data folder. The default location is C:\Program files\Steam\steamapps\common\Fallout 4\Data. There should be an ESP file and BA2 file. 

2.) Check Unofficial Fallout 4 Patch.esp in the Fallout 4 launcher. 

3.) Using the arrow buttons, move Unofficial Fallout 4 Patch.esp so that it's directly beneath Fallout4.esm and any official DLCs you have. This is so that it loads first and thus doesn't undo other mods' changes. This is very important if you use other mods. It is strongly recommended to use LOOT to manage the load order. 

 

Done #1. For #2: The launcher does not list any mods at all right now. What am I missing?

Link to comment
Share on other sites

Any tentative release date for the unofficial DLC patches?

Is it "safe" to play Fallout 4 (including DLCs) with UFO4P enabled or is it better to wait until the DLC patches are available as well?

Haven't quite gotten to that point yet. I think we still need to check some things and decide how we're going to approach that because we may already have inter-DLC conflicts to address which can only be handled effectively with a unified patch.

 

Right now, yes, It's safe to go ahead and play with the UFO4P installed. Just make sure you grab 1.0.1 :P

Link to comment
Share on other sites

No idea, you'll need to tell us - without violating your NDA if you get in. :P

 

Far Harbor is one reason we're holding on doing DLC fixes just yet. My gut says there's gonna be something in there that'll determine whether we go unified now or later.

Link to comment
Share on other sites

Not the answer I wanted to get, but I understand that without the presence of DLC on your hands you can not say for sure. Just all my saves already overwritten with the patch and remove it is not an option, as you said. Same goes for new game, don't wanna to start from scratch. 

Well, thanks anyway.

Link to comment
Share on other sites

Arth, looks like the UF4P was nuked from BethNet... The link from the 1st post leads to the welcome page and a search for the word 'unofficial' only brings this  :unsure: :

UF4PBethNet.jpg

Link to comment
Share on other sites

Yes, I am aware. All I got yesterday was a system notification from the site saying it had been removed for "offensive content".

 

I could still reach the page for a few hours. Then couldn't. The listing has been completely deleted and nobody has said anything as to why. Seems like a fatal flaw in their setup if it's possible for a single troll report to get something taken down for a bogus reason.

 

I am not amused obviously and if this is how things are going to be run over there I just won't bother. Even Valve at least properly investigates and doesn't issue an immediate takedown with an automated system.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...